Get Points Ledger For User
Get points ledger for a user based on their activity. Points ledger shows all the points assigned to the user for each category of points.
- There are different categories of points assign by the TagMango system - dailyActive, likeOnPost, commentOnPost, messageInRoom, createPost, 10perCourseCompletion, 50perCourseCompletion, 100perCourseCompletion, attendance, signUpThroughAffiliate
:::info Custom Point Types There could be custom point types generated by other platforms using TagMango API. All of them will be returned under the response. :::
:::info Pagination This endpoint supports pagination. You can pass the page and limit query parameters to get the points for the user. But at max 200 points will be returned per request. :::
Authorization
bearer In: header
Path Parameters
Unique identifier for the subscriber
Query Parameters
Number of points per page
501 <= valuePage number of the results
1 <= valueComma-separated list of types for filtering points. Could be TagMango system points or custom points.
Sort order for the points, default is desc
"asc" | "desc"Header Parameters
Host name of the dashboard, ex: mydomain.tagmango.com
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api-prod-new.tagmango.com/api/v1/external/gamification/points/ledger/646dd0eb159d8b7a7f5a9c29" \ -H "x-whitelabel-host: string"{
"total": 100,
"data": [
{
"createdAt": "2024-11-04T13:05:43.799Z",
"updatedAt": "2024-11-04T13:05:43.799Z",
"_id": "659bda0d1f30911c18766b31",
"creator": "6149b1e5612c4e5fd96041d3",
"fan": "62ea773dfc87495de3894e73",
"description": "This is a description for the point",
"extraData": {
"date": "2024-01-08T11:18:37.217Z"
},
"score": 16,
"type": "custom",
"date": "2024-01-07T11:18:37.146Z"
}
],
"page": 1,
"limit": 10,
"hasNext": true
}{
"code": 400,
"type": "Bad Request",
"statusMessage": "BAD_REQUEST",
"success": false,
"message": "Invalid request",
"result": "Invalid request"
}{
"code": 401,
"type": "Unauthorized",
"statusMessage": "UNAUTHORIZED",
"message": "Invalid token",
"result": "Invalid token",
"success": false
}{
"code": 403,
"type": "Forbidden",
"statusMessage": "FORBIDDEN",
"errorCode": "WORKSHOP_MANGO_FORBIDDEN",
"message": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"result": "You can not access this api with a TagMango account, only available for whitelabel hosts",
"success": false
}{
"code": 429,
"type": "Too Many Requests",
"statusMessage": "TOO_MANY_REQUESTS",
"message": "Request limit exceeded. try after 10 seconds",
"result": "Request limit exceeded. try after 10 seconds",
"success": false
}